Bug 245252 - Thunderbird changes my inline content
Thunderbird changes my inline content
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 17:36 EDT by Robert Peterson
Modified: 2008-01-15 09:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2007-06-21 17:36:23 EDT
Description of problem:
Today, I finally gave up on Thunderbird after using it for nearly a
year.  The reason why?  I'm a developer and I could not get thunderbird
to cooperate regarding my sent text.  I checked the boxes I could to turn
off word wrap.  I turned off html email.  Yet when I send an email
with an inline patch that contains tabs and spaces, Thunderbird
messes them up.  So people receiving my email tell me my patch does
not apply properly.

I've tried manually editing my config prefs.js and changing things
based on several people's recommendations.  Things like:

pref("mailnews.send_plaintext_flowed", false); // RFC 2646=======
pref("mailnews.display.disable_format_flowed_support", true);

Nothing fixes it.  IMHO, every email client should have the option
to turn off all formatting, such as word-wrap or changing tabs into
spaces, or deleting spaces, etc., and it should be a simple
user-friendly button.  Editing the prefs file is not user-friendly,
even if it did work.  I always format my own text, so I never want
my email clients to word wrap or change my content.

Version-Release number of selected component (if applicable):
thunderbird-1.5.0.12-1.fc6

How reproducible:
Always (for me at least)

Steps to Reproduce:
1. Compose an email.
2. Generate a simple code patch using diff -pu > /tmp/gronk
3. Edit /tmp/gronk with xemacs or some such.
4. Select the entire patch text.
5. Paste it all into your email.
6. Send it to yourself.
7. Receive it with some other email program, like mutt or evolution.
8. Use something like diff to compare it to the original, or better 
   yet, try to apply the patch.

Actual results:
For example, unchanged lines of source will be missing the starting
space " ".  Added lines will be okay and have "+" as expected.
The email might look okay to thunderbird, but it won't be okay.
I've even have patches that look bad in thunderbird, but it somehow
magically fixes them when you save them with thunderbird.

For example:
diff --git a/fs/gfs2/incore.h b/fs/gfs2/incore.h
index c7c6ec0..170ba93 100644
--- a/fs/gfs2/incore.h
+++ b/fs/gfs2/incore.h
@@ -354,7 +354,9 @@ struct gfs2_trans {
 
	unsigned int tr_num_buf;
 	unsigned int tr_num_buf_new;
+	unsigned int tr_num_databuf_new;
	unsigned int tr_num_buf_rm;
+	unsigned int tr_num_databuf_rm;
	struct list_head tr_list_buf;

Expected results:
The patch should diff against the original.  The content should not
be modified.  There should be a " " or "-" or "+" at the start of
every line.

For example:
diff --git a/fs/gfs2/incore.h b/fs/gfs2/incore.h
index c7c6ec0..170ba93 100644
--- a/fs/gfs2/incore.h
+++ b/fs/gfs2/incore.h
@@ -354,7 +354,9 @@ struct gfs2_trans {
 
 	unsigned int tr_num_buf;
 	unsigned int tr_num_buf_new;
+	unsigned int tr_num_databuf_new;
 	unsigned int tr_num_buf_rm;
+	unsigned int tr_num_databuf_rm;
 	struct list_head tr_list_buf;

Additional info:
Patch lines typically have tabs following the leading space.
I've had some people say "works for me" but they were at older
versions of thunderbird.  I just did a yum update, so it's the
latest for FC6 AFAIK.
Comment 1 Matěj Cepl 2007-12-10 04:23:41 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 2 Matěj Cepl 2008-01-15 09:38:40 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.